Introduction

xat.com internet technology
image optimizer help introduction
Image Optimizer is designed to allow you to create the smallest possible JPEG, GIF and PNG image files. Savings of up to 50% or more in file size are possible, which can considerably decrease web page download times, save on disk space and reduce bandwidth charges.

Image Optimizer achieves this by giving the user complete interactive control of the entire optimization process, from changing compression settings to the ability to apply these to some areas of the image more than others.

This help file covers Image Optimizer - Standard Edition and Image Optimizer - Professional Edition. Features of the Professional edition are marked with a [image] symbol.

The web site now has animated tutorials in Flash, click here. For a quick guide on how to compress an image click Quick Start.

For more detailed information click on a topic below:

  • Image Optimizer Workflow
  • Opening an image
  • Enhancing an Image
  • Color correcting an image
  • Cleaning an image
  • Cropping an Image
  • Transforming an image
  • Captioning, adding text or an image (visible watermark)
  • Digimarc® watermarking an image
  • Compressing an image
  • Saving an image
  • Compressing a batch of images

Digimarc is a registered trademark of Digimarc Corporation

Animated Tutorials

Getting Started

What's new

Get the Latest Version

Image Optimizer Technology

Other xat.com Products

Ordering Info

Contact Us

xat.com on the Web


what's new?

- Professional Edition

What's new in version 3.5

  • Visible watermarking and text captioning
  • Fixed aspect ratio during crop
  • Preservation of JPEG EXIF data etc.
  • Batch Visible watermarking and text captioning p.gif (150 bytes)
  • Batch Clean p.gif (150 bytes)
  • TIFF write

What's new in version 3.0

  • Digimarc invisible watermarking
  • Batch resizing p.gif (150 bytes)
  • Improved noise reduction tool
  • Batch Digimarc invisible watermarking

The web site now has animated tutorials in Flash, click here.

What's new in version 2.5

Image Optimizer - Professional Edition released.

  • Enhance
  • Color correction
  • Clean (de-noise)
  • Focus (sharpen/blur)

Image Optimizer 2.5 also adds a improved MagiCompression algorithm that gives better compression and is less likely to go blocky. The useful range of the MagiCompress slider is extended from 50% to over 90%.

What's new in version 2.1

  • Crop
  • Resize
  • Sharpen
  • MagiCompress 2 technology
  • Flip, mirror and rotate
  • Acquire from scanner or camera
  • Email optimized Image
  • Simpler user interface
  • 'Paint on window'

For a quick guide on how to compress an image click Quick Start.

For more details on usage click Image Optimizer Workflow.

Introduction


quick start

To Optimize your first Image:

1. | Open an image file by clicking on the Open button [image] and selecting a file you wish to Optimize. Ensure the Compress mode [image] button is down.
2. On the Compress Image Control Palette first select the best file format for your image.
  • JPEG images are best suited to photographic pictures.
  • GIF images are best suited to simple pictures with few colors e.g. line drawings or text.
3. | For a JPEG you can add MagiCompression to further compress the image. Either click the wand button [image] or drag the MagiCompress slider to the right.
4. | Move the top slider on the Compress Image Control Palette to the left to compress the image. Adjust the setting to give the best compromise between file size and quality.
5. | For a GIF you may need to add dithering. Slide the dithering slider to the right to improve the appearance of the image.
6. | Finally save the image by pressing the Save As button [image] and selecting a name and location for the Optimized file.

You can also load an image from your (TWAIN) scanner or digital camera by pressing the Scan button [image] and email the image by pressing the E-Mail button [image] .

For more details of using Image Optimizer see the Image Optimizer Workflow and following sections.

The web site now has animated tutorials in Flash, click here.

Introduction


image optimizer workflow

Your workflow in Image Optimizer will consist of up to five main stages. Each stage can be performed a number of ways. The steps you use will depend on what you are trying to do and on your personal taste.

The stages are:

  • open
  • enhance
  • color correction
  • clean (de-noise)
  • focus (sharpen/blur)
  • transform
  • crop
  • compress
  • save

See also
Online Animated Tutorials

N.B. It is recommended to use the tools in the above order for the fastest use of the program. You can go back and use a tool later but this sometimes will slow operations down. This is because Image Optimizer always carries out operations all in one go working from the source image to ensure the best quality results possible.

If you are optimizing an image already compressed by another package you might:

  • Drag and drop the image onto Image Optimizer
  • Reduce the image quality
  • MagiCompress the image
  • Reduce the level of MagiCompression in sensitive regions of the image
  • Save the image back over the original image.

If you were optimizing an image for the web from a paint package you might:

  • Copy the image to the clipboard in your paint package
  • Paste the image into Image Optimizer
  • Select between JPEG and GIF format
  • Compress the image
  • Save to a file in your web site images directory

If you want to send a magazine article or photo to a colleague you might:

  • Acquire the image from your scanner or digital camera
  • Rotate, crop and resize the image
  • Compress the image to give a reasonable upload/download time
  • Switch to the email function and add an addressee a subject and a message

There are many other ways to use Image Optimizer. The following sections will detail the steps in your workflow.

Opening an Image


opening an image

There are four ways to load an image into Image Optimizer:

  1. Open the Image from disk.
  2. Paste the contents of the clipboard into Image Optimizer.
  3. Scan the image into Image Optimizer from a scanner or digital camera.
  4. Drag and drop an image onto Image Optimizer

After loading an image you can move on to transform, crop and/or compress the image.


open

This is the standard way of opening a file. This is used when you have a file already on your hard disk that you want to optimize.

Press the Open button [image] or use the File->Open menu command to start a standard Windows file open dialog box. When you find the file you want, select it and click the 'Open' button.

If you select more than one file you will be automatically taken to Batch wizard.

You can use the 'Files of type' selection to limit your choice to files of a certain type.

Paste


paste

This is a convenient way of bringing an image into Image Optimizer from another application e.g. a paint program.

Most applications will let you copy an image to the clipboard. Often it is a simple one button click.

Copy the image to the clipboard in the application you are using. Switch to Image Optimizer and press the Paste button [image] or Edit->Paste from the menu.

Scan


scan

You can bring in images directly from a TWAIN compatible scanner or digital camera.

If you have more than one TWAIN compatible device on your system use File->Import Image->Select source to select which device you want to talk to.

If you want to quickly scan in an image simply press the Scan button [image] or select File->Import Image->Acquire image from the menu.

After bringing in an image from the scanner you may want to crop and resize the image.

Note: It is possible to bring in a very large image from a scanner. You may need a fast PC with a good deal of ram to effectively optimize such an image.

Drag and drop


drag and drop

This is an alternative way of opening a file. This is used when you have a file already on your hard disk and you already have an explorer window open in it's directory.

Simply drag the file onto Image Optimizer. If Image Optimizer is not visible (hidden behind another window) or minimized, drag the file down to the task bar and hover over Image Optimizer (without releasing the mouse button). Image Optimizer will then open to allow you to drop the file onto it.

To drag and drop: Point to an item, press and hold down the mouse button, and drag the image file to Image Optimizer. Then release the mouse button.

If you drag and drop more than one file you will be automatically taken to Batch wizard.

After loading and image you can move on to transform, crop and/or compress the image.


Enhance

enhancing an image

If the image you have opened has flat colors, poor contrast or is lacking in detail you can use the enhance tools to significantly improve the image.

Typically you can use the Levels tool to adjust the dynamic range of the image.

If you prefer you can use the Brightness/Contrast/Gamma tool to individually adjust the Brightness, Contrast and Gamma in an image.

The enhance tools allows you to bring out more detail in the image. As a result enhanced images are often less compressible than their originals. This may be the limiting factor on how much enhancement you can apply.

If possible you should use an uncompressed or high quality JPEG image to avoiding amplifying the effects of compression artefacts.

Levels

Brightness/Contrast/Gamma

See also:

Enhance Image Control Palette


levels

Adjusting the levels is an easy and powerful way of correcting for lighting levels and for giving an image a lift.

Image Optimizer computes and displays a histogram of the image so you can see the distribution of intensities in the image.

You can press the Auto Levels button: to have Image Optimizer set the levels automatically or you can drag the diamonds below the histogram until you have achieved the desired effect. The three diamonds correspond to the levels for: Black - shadow, Grey - midtone and Clear - highlight.

For example the image on the left is transformed into the image on the right by moving the diamonds as shown:

Equalization

Whereas levels is used to stretch the histogram to make better use of the full range of intensities available equalization can be used to change the distribution of colors by evening out the distribution of intensities. To equalize an image simply drag the Eq. slider to the right.

Advanced usage

You can adjust the levels on RGB channels individually by pressing the red, green or blue buttons and then adjusting the position of the diamonds. The Auto Levels button will also work in this mode by automatically adjusting the levels or red, green and blue separately.

Working on RGB channels separately can introduce a color shift that you can remove with the Color correction tool.

See also:

Brightness/Contrast/Gamma

Enhance Image Control Palette


brightness/contrast/gamma

Usually it is easier to enhance an image with the levels tool. You can use the Brightness/Contrast/Gamma tool if you prefer to alter these settings individually.

Select the Brightness, Contrast and Gamma tool by using the drop down list at the top left of the Enhance Image Control Palette.

Slide the Brightness, Contrast and Gamma sliders to the desired settings.

See also:

Levels

Enhance Image Control Palette


color correction

If the image you have opened has a color cast you can use the Color correction tool to eliminate it. An example of such an image is one taken indoors with tungsten lighting. Often these images will have a yellow cast.

To use the tool click the AutoColor button [image] or drag the mouse over the color wheel and release when you are happy with the color shift.

The example below shows how a blue TV glow is removed:

AutoColor button

The AutoColor button balances the colors in the image so there are equal amounts of red, green and blue. This will work well for most images.

Saturation

The saturation slider is used to add and remove overall color. Move the slider up to add color and down to remove it.

Advanced use

You can work in different parts of the image by selecting Highlight, Midtone or Shadow. This will let you change colors in the light and dark regions of the image.

See also:

Color Correction Control Palette


Clean Image

cleaning an image

If the image you have opened has single pixel spots or noise you can use the Clean image tool to reduce or eliminate it. Examples of such images are those that include grain from photographic film or images from a digital camera with a "dead pixel".

Eliminating spots and noise will not only improve the image but will also result in smaller JPEG and GIF images.

With the Noise Reduction tool turned on single pixel spots will be automatically removed.

Move the three sliders to achieve the noise reduction effect you require.

The example below shows the effect of the Noise Reduction tool:

Note: The clean image tool can also be useful if you have amplified compression noise or the image grain using the enhance tools. Also note that JPEG compression (especially with MagiCompression) will reduce this image noise as well.

See also

Clean Image Control Palette

Online Animated Tutorials


Focus image

You can use the Focus image tools to sharpen or blur an image.

Sharpen

The sharpen tool uses the "Un-Sharp mask" approach to sharpen up the image. Un-Sharp masking works by comparing the image to a blurred version of the image and adding back the differences to the original image.

Set the sliders to give the desired effect:

%Amount | The percentage amount to sharpen by
Radius | The number of pixels that the image "mask" is blurred by
Threshold | Sets the threshold at which to skip sharpening for each pixel if the sharpening amount is less than the threshold value.

Blur

Set the sliders to give the desired effect:

%Amount | The percentage amount to blur by
Radius | The number of pixels that the image is blurred by

See also

Focus Image Control Palette


cropping an image

An effective way of reducing the byte size and download time of an image is to make it smaller. Image Optimizer provides two methods, crop and resize.

If you want to crop the image you should do this before optimizing. If you do compress before cropping you should go back to the compress mode to check the compression settings are satisfactory.

To crop an image press the Crop image button [image].

The current Control Palette changes to the Crop Image Control Palette.

Use the mouse to drag across the image the sub-section of the image you want to crop. This will be displayed as a rectangle on the image. To crop the Image press the 'Crop Image' button.

Before cropping the image you can change the crop by:

  • Dragging the rectangle around
  • Resizing the rectangle by dragging points around the edge of the rectangle
  • Typing in the width and height of the crop rectangle
  • Typing in the width and height offset (X and Y) the crop rectangle

The Aspect box displays the aspect ratio of the crop rectangle. If you want to force a certain aspect ratio type it into the "Aspect" box and check the "Maintain Aspect Ratio" check box.

The 'Clear Crop' button removes the crop rectangle so you can start again.

Note: If you want to crop out more than one part of an image press the copy button followed by the paste button to make a duplicate copy of the image before cropping.

Transforming an image


transforming an image

Supported transformations are: resize and rotate. You can also interactively sharpen. If you are using Image Optimizer Professional there is a more sophisticated Un-Sharp mask tool.

If you want to transform the image you should do this before optimizing. If you do compress before transforming you should go back to the compress mode to check the compression settings are satisfactory before saving the image.

To transform an image press the Transform image button [image].

The current Control Palette changes to the Transform Image Control Palette.

Resize

Use the mouse to drag one of the boxes at the inside corners of the image to resize it interactively. When you release the mouse button a high quality resize will be carried out.

If you leave 'Maintain Aspect Ratio' checked you will be constrained to keep the aspect ratio of the image unaltered.

You can also resize by:

  • Dragging the Width or Height sliders
  • Typing in your required width and height dimensions
  • Clicking one of the preset button e.g. x2 or /2 for twice size or half size respectively.

The width and height dimensions are displayed in pixels.

Sharpen

If you are resizing an image it is often useful to sharpen afterwards as the resizing tends to leave the image slightly blurred. This is especially true with thumbnails. Set the required sharpening with the slider and/or associated controls. See also Un-Sharp mask tool [image].

Rotate

To rotate the image in 90o increments click on one of the rotate buttons at the right of the Transform Image Control palette.

Compressing an image


Adding text or an image (caption and visible watermark)

caption: adding text or an image (visible watermark)

As an optional step you can add text captions and/or visible watermarks to your images. The captions can be positioned anywhere on the image and you can specify margins, opacity, colors and control transparency. You might want to use this facility to add your logo to the images and something describing the image and or copyright information. Note that Image Optimizer will also let you add Digimarc invisible watermarks which you may want to use as well to use as well as or instead of captioning.

If you have the Professional Edition you can apply captions to multiple images in batch mode.

To add a caption to an image press the Caption button [image]. This will display the Caption control palette. You can choose between adding text or image by clicking the Text or Image tag.

Adding a visible watermark or image

Adding a text caption

See also

Caption Image Control Palette

Digimarc Watermarking Control Palette


adding an image or visible watermark

Click the Image tag and type in or browse to the name of the image file you want to place on top of your image. The image can be any supported type i.e. BMP, TIFF, PNG, GIF or JPEG.

Make sure image captioning is switched on and the button in the top right shows:

Set your required location, opacity and margins.

Transparency

Transparency (if required) is supported in several ways:

  • Transparent GIF or PNG. If you load in a transparent GIF or PNG file Image Optimizer will make the transparent color transparent automatically.
  • Set transparent color. You can manually set a transparent color by selecting the "Trans" check box and clicking the "Trans" button to make all pixels in the image that match this color transparent. This may be useful for 24 bit BMP, PNG or TIFF images.
  • Alpha channel. If you want sophisticated transparency such as antialiasing and feathering use a TIFF or PNG with an alpha channel. An alpha channel lets you control the transparency of each pixel. You can use most good paint packages to make these files. Normally these files will use "pre-multiplied alpha" and you should check the box. If you can make images without a pre-multiplied alpha channel you will get better results and you should un-check the box.

Caption Image Control Palette

Adding a text caption


adding a text caption

Click the Text tag and type in the text you want in the Caption box. Make sure image captioning is switched on and the button in the top right shows:

You can use the following characters to include information in the caption:

+p | file path
+f | filename
+e | extension
+t | time (hh:mm)
+d | date (dd-Mmm-yy)
++ | +

Click the [image] button to set the font style and size. Click the "Fore" button set set the color of the text. If you want a background click the check box and click the "Back" button to select a background color.

Set your required location, opacity and margins.

Caption Image Control Palette

Adding an image or visible watermark


watermarking an image

As an optional step you can embed Digimarc invisible watermarks. If you are unfamiliar with the concepts of Digimarc watermarking please read the Introduction to Digimarc Watermarking. It is free to sign up for Digimarc invisible watermarks and your first 99 watermarks are free.

To Digimarc Watermark an image press the Watermark button [image]. This will display the Digimarc Watermarking control palette. Note that the image will be checked to see if it already contains a watermark which may take a little while. If the image already contains a watermark the Digimarc Watermarking control palette displays the watermarking information and you will not be able to watermark the image.

Use the Creator drop down list box to select a creator. If you haven't yet entered your creator ID press the [image] button to enter it. To get a Creator ID from Digimarc Corporation click here. Note that you need to have registered Image Optimizer to use your own Creator ID.

Set the Durability slider to give the watermark robustness you require (click here for more details). The larger the setting the more robust the watermark. Click the [image] button if you want to change the watermark DPI setting from 100DPI that is recommended for web images. For example for images for print you could use 300DPI.

Use the Type drop down list to specify the type of watermark you want to embed:

Copyright Year: Select to specify the year in which the image was copyrighted. In the years field, enter a single year or two years.

Image ID: Select to assign a unique number to the image for identification purposes. In the Image ID field, enter a number from 1 to 16,777,215. If you don't want an image ID you can use 0.

Transaction ID: Select to assign a unique number to the image, in order to identify the transaction in which the right to use the image was granted. In the Transaction ID field, enter a number from 1 to 16,777,215.

Use the image attribute selections to specify the types of protections or warnings you want to communicate to viewers of your Digimarc-enhanced images.

    Restricted Use: Select to indicate that the image is available for restricted use only.

    Do Not Copy: Select to indicate that the image should not be copied.

Adult Content: Select to indicate that the image includes adult content.

Click the On/Off button to on.gif (135 bytes) to embed the watermark. The image title bar will display the Watermark strength. The next step is to compress the image. Note that you may need use a high value of durability if the Watermark is to survive JPEG compression and MagiCompression.

See also

Online Animated Tutorials

Digimarc Watermarking Control Palette

Batch watermarking an image p.gif (150 bytes)

Introduction to Digimarc Watermarking

Digimarc Watermarking FAQ


introduction to digimarc watermarking

What is a Digimarc-enhanced image?

It's an image that contains a hidden message. That embedded message gives the image powerful new roles in the areas of tracking, Internet marketing, asset management and copyright communication. The hidden message in a Digimarc-enhanced image is imperceptible under normal use, yet easily detectable by software and other devices. The message contains a small amount of digital information, carrying attributes and a set of unique IDs.

Why you should use Digimarc-enhanced images

Anyone who licenses or publishes images, or uses them in a marketing campaign, can benefit from Digimarc-enhanced images. A national museum currently uses them to communicate ownership of its often-copied artwork. A record company tracks the use of its musicians' photographs throughout the Internet. A major stock photo agency embeds its company name and contact information into its digital photos. These Digimarc-enhanced images serve as "mini-ads" for the company.

What they can do

At the most basic level, a Digimarc-enhanced image is "marked" as uniquely yours. The embedded message tells the world that you own the image's copyright. But Digimarc-enhanced images are also "smart images." Their special embedded message actually allows them to do things.

Digimarc-enhanced images can:

  • Help you find your images, wherever they go: Digimarc-enhanced images become homing beacons on the World Wide Web. They allow you to track where and when your images have been moved or copied.
  • Take you places: More than just a hyperlink, Digimarc-enhanced images can take viewers to a web site, a licensing data base, an image archive, an internal asset management system, and much more.
  • Instruct software and hardware: Digimarc-enhanced images can invoke copy protection (in video, for example) and other automatic responses.
  • Announce your copyright, as previously described.

In addition to all that, despite their embedded messages, Digimarc-enhanced images look untouched. This is because the hidden message is buried subtly in the image's pixels. At very high magnification, the message appears as a slight change in the image's grain or texture.

How to start using Digimarc-enhanced images

First you register with Digimarc to receive your unique Digimarc ID. This ID links your images to a contact profile in Digimarc's database or to an Internet destination. You then embed Digimarc messages with your ID into your images, transforming them into Digimarc-enhanced images.

From there, you publish your Digimarc-enhanced images just like regular images. Viewers who see your images can use a widely available Digimarc reader to detect and interact with them. The good news is that millions of people can already interact with a Digimarc-enhanced image, since a Digimarc reader is available at no charge on the Digimarc web site.

It's even possible to interact with Digimarc-enhanced images directly through a Web browser. Using Digimarc Mariner, users can turn images into visual bookmarks and explore the smart features of Digimarc-enhanced images. No matter where the images are published, a single click can take the viewer of your Digimarc-enhanced images to information related to them. Digimarc can also help you track the use of your Digimarc-enhanced images on the web with the MarcSpider service.

How Digimarc-enhanced images work

Digimarc-enhanced images are "smart" because of what's inside them. Each Digimarc-enhanced image carries a digital message that is imperceptible under normal use, but detectable by computers and software. Digimarc's technology embeds the message by making subtle changes to the brightness of the pixels in an image. Because the embedded message is carried by the image's pixels, it is independent of the file's format. It can survive normal image edits, file format transformations, copying, printing and scanning.

Inside information

The message embedded in a Digimarc-enhanced image carries identifying information, attributes or instructions. In Digimarc's Internet imaging system (used for copyright communication, asset management and marketing & e-commerce), a unique Digimarc ID; an image ID, transaction ID or copyright year; and a set of image attributes is embedded. This information links to places and information, uniquely identifies the image, and communicates information about the image to applications.

Repeated for robustness

One of the patented features of a Digimarc-embedded message is that the pattern containing the message is repeated over and over throughout the entire image. This repetition strengthens the message so it can be recovered even after the image is cropped or otherwise changed.

While pattern repetition provides part of the durability solution, Digimarc-enhanced images must also survive more radical transformations such as scaling and rotation. To address this need, Digimarc created a patented technique that adds a hidden "orientation pattern" to the image. Using this special feature, Digimarc's reader can recover the watermark after scale changes of as much as .6 times to 2 times the original image size. A Digimarc watermark can also survive any amount of image rotation.

These features are important for watermarks to be able to survive changes from a digital to an analog format and back again. Examples include outputting a digital image to print, then scanning it back into digital form; or recording a digital video to VHS format and then back to digital form.

Striking a balance

All of this work necessitates an important balance. Clearly the increased functionality provided by the embedded message is of great value, but the image itself must always be the main consideration. While the embedded message must be sufficiently robust to withstand the expected image modifications, it must also remain imperceptible under normal use. That's why another of Digimarc's patented innovations is the ability to make Digimarc messages "perceptually adaptive." They conform to the unique pattern of each image, placing more energy in areas with rich detail and less energy in flat areas. This process ensures that Digimarc messages remain durable without being easily visible.

Notes on durability, quality and compression

While Image Optimizer automates the embedding process as much as possible for you, you will still need to make decisions concerning message intensity, durability, image quality and compression level. It's important to remember that each of these elements affects the others.

When compressing a batch of images, you can instruct Image Optimizer to determine whether or not the message has been successfully embedded by measuring its durability, which can be thought of as the ability of the message to survive image modifications such as cropping, scaling, rotating, etc. If Image Optimizer finds that an embedded message has an unacceptable durability, it embeds the message again at a higher intensity. Intensity is the amount of energy that is applied in embedding the message; in other words, the degree to which the image's pixels are modified in order to encode them with the message.

An increase in intensity, then, increases the durability, but it may also decrease image quality slightly by making the pixel changes more visible. When the changes become visible, they can appear as a slight texture or grain in the image. Similarly, a decrease in intensity results in better image quality, but the embedded message is less durable. Because of this interaction between durability and image quality, it is the second priority of Image Optimizer to preserve image quality as much as possible.

JPEG compression and MagiCompression makes the balancing act between message durability and image quality becomes a bit more challenging. Since JPEG is a lossy compression method, it has an obvious negative effect on image quality. It can also affect message durability, since any degradation of the image itself will also degrade the robustness of the embedded message. Of course, the impact of these variations is dependent on your chosen compression level and the actual content of the image. In turn, the level of compression you choose is usually influenced by how the image will be used. For example, images that will be posted on a Web site are usually compressed rather aggressively to speed up their display in the user's browser; as a result, it may be quite acceptable to embed at a higher intensity with these images — the resulting durability helps to ensure the persistence of the embedded message, and the increased visibility will often not be noticeable with medium-resolution JPEG images.

Image Optimizer is designed to help you balance these factors, providing you with controls that affect this important interaction.

Use the Intensity slider to specify the starting intensity

Use the Minimum Durability edit box to specify the desired minimum durability

Image Optimizer will then work iteratively to achieve the desired durability by:

Increasing the intensity

Decreasing the MagiCompression

Increasing the Quality


digimarc watermarking faq

This section contains answers to common questions you may have about understanding Digimarc watermarking.

Subscriptions/Digimarc IDs

Q. How do I get a Digimarc ID?

A. You can register for a Basic or Smart Digimarc ID in one of two ways:

1) Go to the Subscription and a Digimarc ID section of Digimarc's web site; you will find a link to the subscription forms there.

2) Have a registration form faxed to you by calling +1-503-495-4623

Q. Why does Image Optimizer not support Distributor IDs?

A. The Distributor ID is no longer supported by Digimarc.

Q. Where is the contact information and smart image link information stored?

A. Contact profiles and smart image link information are stored in Digimarc's database. The system is accessible via a high-speed Internet connection, and is operated in a data center with full 24-hour operations and support.

Q. How do Smart IDs work?

A. First, you embed your Smart ID in your images using Image Optimizer, and maintain a destination link in Digimarc's database (which tells the image where to send people). Then, viewers of your images can navigate to the smart image destination by using a Digimarc reader. This is accomplished behind the scenes by first going to Digimarc's database, and then redirecting to your chosen URL. This also means that you can change the destination URL at any time, without changing the embedded message in the image.

Q. Who's responsible for maintaining the records? How often can I change my Smart ID links?

A. Digimarc customers can update their contact profiles and Smart ID links at any time. Simply go to Customer Service in the Service & Support area of our web site. Once there, choose the "update profile information" option and enter your Digimarc ID and password to log in to your account.

Q. Who controls the data someone sees about me?

A. At the time you provide us with your contact details, you control the information you want viewers to see. You can exclude your address, phone number, and other specific information. You're in charge.

Q. What happens to my Digimarc ID if I decide not to renew my subscription?

A. Your Basic ID is yours forever (subject to the terms and conditions of the subscription agreement). However, you are responsible for maintaining current contact information. Your Smart ID will remain active as long as you maintain your subscription. If you let your subscription lapse, it will be automatically converted to a Basic ID.

Q. I lost my PIN or password. What can I do?

A. To retrieve your PIN, simply go to Customer Service in the Service & Support area of our web site. Once there, choose the "review account status" option and enter your Digimarc ID and password to log in to your account. If you've forgotten your password or Digimarc ID, you can call Digimarc customer service at 800-DIGIMARC (800-344-4627), or +1-503-495-4623 from outside the US.

Q. If I use more than one Digimarc embedding tool, do I need to get a different Digimarc ID for each application?

A. No. You can use your Digimarc ID with any Digimarc embedder. Some customers choose to use multiple IDs to associate images with different brands, or to provide different Smart ID destinations.

General Technical Questions

Q. What if I Digimarc-enhance all my images and then Digimarc changes its technology?

A. The embedded message carries version and message type information, and Digimarc products have been designed to support upward compatibility. Also, Digimarc readers are able to recognize previous message types. If a Digimarc reader finds a newer version of a Digimarc embedded message that it does not support, you will be notified and instructed to download the most recent reader.

Q. Do embedded Digimarc messages survive printing?

A. Yes. This was a primary design goal of the technology and has been successfully tested. Once a Digimarc image has been printed, it can be read again by scanning the image on a digital image scanner. For best results, we recommend using Digimarc utilities as part of the prepress process, once the image has been prepped for printing.

Q. What image file formats can be Digimarc-enhanced?

A. You can use all the formats supported by Image Optimizer i.e. JPEG, GIF and PNG images. You can use Image Optimizer to check that the watermark has survived compression, color reduction and dithering.

Q. What color spaces are supported?

A. The Digimarc embedding process is color space independent. You can embed a message into RGB and grayscale images using Image Optimizer.

Q. How small an image can I Digimarc-enhance? How large?

A. If you don't intend to apply any compression or other image edits, the image can be as small as 100 x 100 pixels. However, if you believe your image might be compressed, cropped, rotated, scaled or otherwise modified, we recommend a minimum size of 256 x 256 pixels. There is no upper limit on the size of an image that can be Digimarc-enhanced.

Q. Do Digimarc-enhanced images survive compression?

A. This was a design goal of the technology. Lossy compression methods such as JPEG actually remove some image data in order to decrease file size. This can have varying effects on survival of the embedded information. Generally if you favor image quality over image size when selecting the degree of compression, you'll get the most favorable results. You may find you have to use less than normal MagiCompression for the watermark to survive.

Q. Can I Digimarc-enhance a JPEG image?

A. Yes, however, in general, you'll get the best results and quality by starting with an original, uncompressed image.

Q. Can the embedded Digimarc message be removed? What happens to the image if it is removed?

A. Digimarc does not provide tools or software to remove its Digimarc messages from images. The message embedded in a Digimarc-enhanced image is robust, so it survives normal image edits, file format transformations, and copying. However, it isn't intended to be absolutely permanent. A skilled person could remove it from your image if he or she really worked hard to do so. When your Digimarc-enhanced image is opened in an editing tool, it reminds the viewer that it is copyrighted. As a result, the act of intentionally removing your Digimarc message would be an obvious attempt to infringe your copyright, triggering opportunities for stiffer penalties.

Q. Can I remove my own Digimarc message from an image?

A. No. Since you are the image owner, it is assumed that you will retain an original, non Digimarc-enhanced image in the event it is needed.

Q. What happens if I try to add a new Digimarc message to an already Digimarc-enhanced image?

A. You will be prevented from adding another watermark if one is found in the image.

MarcSpider

Q. How do I access my MarcSpider report?

A. MarcSpider reports are available online any time of day. Simply go to Customer Service in the Service & Support area of our web site. Once there, choose the "view MarcSpider report" option and enter your Digimarc ID and password to log in to your report.

Q. How often is my MarcSpider report updated?

A. Reports are updated continually, so you'll always see the latest image finds. You can view your as often as you like, with options to view finds for the current month or by date range.


compressing an image

After opening and optionally cropping and transforming an image you can compress the image using Image Optimizer's powerful Compress image tool.

If the Compress image dialog is not visible make sure the Compress image button [image] and the Control palette button [image] are depressed.

There are 5 main steps in compressing an image:

  1. Select image type between JPEG, GIF and PNG
  2. Reduce the quality (for a JPEG) or number of colors (for a GIF/PNG) to give the best trade-off between image quality and byte size and download time that you require
  3. For a GIF/PNG add dithering if required
    For a JPEG add MagiCompression to further compress the image
  4. Optionally manually add some regional compression
  5. Optionally switch to regions mode ( [image]) to further fine tune the image compression

Step 1: Select between JPEG, GIF and PNG

See also

Online Animated Tutorials


step 1: select between jpeg, gif and png

The first step in compressing an image is to select the output type of image you want. If you are re-compressing an image you can leave the selection at the default setting (i.e.the same type as the input file).

Experience and personal preference will be you best guide as to which file type to use. You can also experiment with two or more file types and choose the best one. Here is a summary to guide you:

JPEG | Select JPEG compression for photographs or real world scenes with complex detail and many colors. If you are in doubt then JPEG (with MagiCompression) is probably the best choice if you want high compression.
GIF | Select GIF compression for images with few colors, sharp edges or areas of solid color. Examples of this type of image are line drawings, scanned text, cartoons and screen grabs.
PNG | You can use PNG compression as an alternative to GIF. PNG will usually give you more compression. Some early browsers don't support PNGs properly and Netscape Navigator does not support transparent PNGs.

Step 2 (GIF/PNG) | Reduce the number of colors
Step 2 (JPEG) | Reduce the quality


step 2 (gif/png): reduce the number of colors

Use the Number of Colors slider to reduce the colors to give you a good trade off between image quality and file byte size / download time. Generally the smaller the number of colors the smaller the image. Good values to try are 2, 4, 8, 16, 32, 64, 128 and 256 as these are at thresholds in the GIF compression algorithm. For some images you will also need to experiment with different values of dithering (see below) and perhaps smoothing.

Note: The Optimized file size is shown at the top of the Optimized image window. The download time and other information is shown in the status bar at the bottom of your screen.

Step 3 (GIF/PNG): add dithering


step 2 (jpeg): reduce the quality

Use the JPEG Quality slider to set the quality setting to give you a good trade off between image quality and file byte size / download time. This will vary from image to image but you will probably use a figure between 50 and 85. If you have to use a quality higher that 85 it may be worth trying the GIF format. If you are using a setting below 50 you may want to consider resizing or cropping the image instead of compressing it a large amount.

Step 3 (JPEG): add MagiCompression


step 3 (gif/png): add dithering

If the image you are compressing contains photographic regions or regions with many colors or smooth gradients you may need to add dithering to improve the look of these regions. To add dithering drag the dithering slider to the right. A value of 50% works for most images. Dithering will make the image larger so use it sparingly. After you have applied dithering you may be able to further reduce the number of colors. If you need to use a lot of dithering you may find a MagiCompressed JPEG works better.

You can use the [image] button to remove all dithering or smoothing.

Improve Palette

In order to speed things up Image Optimizer makes some approximations when selecting a palette. If you want a palette of maximum accuracy press the Improve palette button [image] at the end of your optimization. Image Optimizer will then re-calculate the palette in greater detail. This may take some time unless you have a fast machine.

This can be useful with highly compressed images that have a background color. Image Optimizer may assign the background to a compromise color that is not quite right. The HiQ button will often fix this problem.

Step 4 (optional): Modify regions (Simple)

Saving an image


step 3 (jpeg): add magicompression

Most JPEGs can be much further compressed without visible difference by applying MagiCompression. To MagiCompress the Image press the [image] button on the Compress Image Control Palette. You can vary the amount of MagiCompression by dragging the MagiCompression slider. Values between 30 and 60 are probably best.

You can use the [image] button to remove all MagiCompression, Extra Compression or smoothing.

If MagiCompression over does the compression in some regions there are three things you can do:

  1. Reduce the level of MagiCompression using the slider
  2. Increase the overall image quality with the JPEG Quality slide
  3. Remove or reduce MagiCompression in the effected regions (see steps 4 and 5)

Method 3 will usually give best results.

Step 4 (optional): Modify regions (Simple)

Saving an image


step 4 (optional): modify regions (simple)

The MagiCompression and dithering that was added in step 3 can be modified by dragging shapes with the mouse on the Original or Optimized windows. The left mouse button adds MagiCompression or dithering while the right mouse button deletes it. A good way to use this feature is for removing MagiCompression from regions you want to look their best. This might be around the eyes in a face or around a piece of text.

For example in this image the face has been marked by circling with the mouse and the right mouse button held down.

Step 5 (optional): Work with regions (Advanced)

Saving an image


step 5 (optional): work with regions (advanced)

Clicking the Work with regions button [image] brings up the work with region window. This gives you complete control over how the image is compressed and gives you access to advanced compression facilities such as smoothing.

The region window

The region window shows a black and white version of the image. As you apply an effect (for example MagiCompression) to the image the effected regions are colored. The darker the color the more the effect has been applied.

You can change the effect that the window displays by pressing one of the tabs at the top of the window. For example if you press the Smoothing tab then the window displays regional smoothing.

The lower slider on the Compress Image Control Palette changes to show a slider for the effect that has been selected. In the above example the slider will change to show the amount of smoothing to be applied.

The Mouse

The mouse is used to apply or remove the selected effect. The left mouse button applies the selected effect at the level determined by the position of the slider. The right mouse button removes the effect (i.e. sets it to zero).

N.B. You can use the mouse on any of the image windows, not just the region window.

The drawing tools

You can select between four tools from the Tool palette:

Rectangle | The rectangle tool lets you select a rectangle
Freehand | The freehand tool lets you select an any shaped region
Brush | The Brush tool allows you to paint optimization. You can alter the setting for the Brush using the Brush Settings Palette
Line | The Line tool draws a line in the currently selected Brush Size and Style

The region tools

The region tools are:

Lock region | This tool causes the last selected region to be locked on the image. After that all subsequent moves of the effect slider will be applied uniformly to the locked region.
Select Whole Image | This button is similar to Lock region but selects and locks the whole image so that effects can be applied to the the whole image.
Invert Region | Inverts the currently locked region

The region tools are useful for interactively trying different values of an effect on a selected region of the image. For example a face in an image could be selected using the freehand tool. The Lock region button is pressed and the MagiCompress slider moved until the best value of MagiCompression for the face is found.

Saving an image


saving an image

There are three ways to save an optimized image

  1. Save the file to disk
  2. Copy the optimized image to the clipboard
  3. E-Mail the image


save as

This is the standard way of saving a file.

Press the Save As button [image] or use the File->Save As menu command to start a standard Windows file save dialog box. Select the directory and file name and click the OK button.

Note: Image Optimizer sets the default save as directory to the directory of the first file opened after running Image Optimizer. If you change the directory while saving, Image Optimizer will use that directory for future saves.

Copy to the clipboard


copy

This is a quick way of transferring an image from Image Optimizer to another application e.g. a paint program. Click the Copy button [image] or use the Edit->Copy command to copy the optimized image to the clipboard.

You can then switch to another program (such as a paint program) and paste the optimized image in.

E-Mail image.


e-mail

If you have an email program set up on your PC Pressing the email button [image] or using the
File->Send by E-Mail menu command will make Image Optimizer save the Optimized Image to a temporary file and invoke your e-mail program with the file ready set up as an attachment.

You can then simply add addressee, subject and accompanying text and send the optimized image as an e-mail.

Optimizing e-mailed images is well worth while as it saves both you and the recipient on line time and reduces the risk of overfilling the recipient's mailbox.

Compressing a batch of images


optimize multiple images using the batch wizard

The Batch Wizard enables you to optimize several files at a time.

Click the Batch Wizard button [image] to activate this mode.

Note that batch mode is automatically started if you drag and drop more than 1 file onto Image Optimizer or open more than one file with the Open dialog.

Step 1: Select Multiple files


step 1: select multiple files

To add files click 'Add Files'. You will be prompted with an open file dialog box that can be used to select multiple files. Hold down the CTRL key, and then click each image you want to select. To select a group of images that are next to each other, hold down the mouse button and drag a rectangle around the files you want to select.

You can select multiple files in an explorer window and drop them onto the file list window.

To remove files from the list select them using the mouse and Click 'Remove'.

To remove all of the files click 'Remove All'.

When you have selected the desired files Click the 'Next>' button

Step2: Batch Clean p.gif (150 bytes)

Step2: Batch Transform p.gif (150 bytes)

Step2: Batch Caption p.gif (150 bytes)

Step2: Batch Watermark p.gif (150 bytes)

Step2: Batch Compression

Step 3: Optimizing


step 2: batch clean

Use the Clean tab to select batch noise reduction and spot removal (if required).

Use the sliders to setup the parameters and press the on/off toggle button so that it displays on i.e.

See also

Cleaning an image

Clean Image Control Palette

Batch Compression

Step 3: Optimizing


Step 2: Batch Transform

step 2: batch transform pn.gif (146 bytes)

Use the Transform tab to select batch transformations (if required).

Typically the batch resize tool is used to make thumbnail images but you can also use it to reduce a batch of images to a maximum size.

If you specify just a Width or Height the other dimension will be scaled to keep the aspect ratio fixed.

If you specify Width and Height both dimensions will be scaled and the aspect ratio of the image will be lost.

Fit to box: both dimensions will be scaled so that the image will fit as closely as possible to the given dimensions but while still preserving the aspect ratio. This mode is useful for making thumbnail images to fit in a table.

Don't Enlarge Image: will ensure that the image is never increased in size. This can be useful for limiting the size of a batch of images to maximum dimensions.

Background: Specifying a color will pad the image out with solid color so that it fills the dimensions given.

Rotate: The image can be rotated in 90 degree steps prior to the resize.

Batch Watermark p.gif (150 bytes)

Batch Compression

Step 3: Optimizing


Step 2: Batch Caption

step 2: batch caption pn.gif (146 bytes)

Use the Caption tab to select batch captioning i.e. adding text and/or an image (if required).

Use the text and image setups to enter the information and press the on/off toggle button so that it displays on i.e.

See also

Caption Image Control Palette p.gif (150 bytes)

Adding Captions p.gif (150 bytes)

Batch Watermark p.gif (150 bytes)

Batch Compression

Step 3: Optimizing


step 2: batch watermark

Use the Watermark tab to select Digimarc Watermarking parameters.

If you are unfamiliar with the concepts of Digimarc watermarking please read the Introduction to Digimarc Watermarking.

Use the Creator drop down list box to select a creator. If you haven't yet entered your creator ID press the [image] button to enter it. To get a Creator ID from Digimarc Corporation click here. Note that you need to have registered Image Optimizer Professional to use your own Creator ID.

Set the Durability slider to give the watermark robustness you require (click here for more details). The larger the setting the more robust the watermark. Click the [image] button if you want to change the watermark DPI setting from 100DPI that is recommended for web images. For example for images for print you could use 300DPI.

Use the Type drop down list to specify the type of watermark you want to embed:

Copyright Year: Select to specify the year in which the image was copyrighted. In the years field, enter a single year or two years.

Image ID: Select to assign a unique number to the image for identification purposes. In the Image ID field, enter a number from 1 to 16,777,215. If you don't want an image ID you can use 0.

Transaction ID: Select to assign a unique number to the image, in order to identify the transaction in which the right to use the image was granted. In the Transaction ID field, enter a number from 1 to 16,777,215.

Use the image attribute selections to specify the types of protections or warnings you want to communicate to viewers of your Digimarc-enhanced images.

    Restricted Use: Select to indicate that the image is available for restricted use only.

    Do Not Copy: Select to indicate that the image should not be copied.

Adult Content: Select to indicate that the image includes adult content.

Click the On/Off button to on.gif (135 bytes) to enable embedding of watermarks. Note that you may need use a high value of durability if the Watermark is to survive JPEG compression and MagiCompression.

Batch Compression

Step 3: Optimizing

See also

Introduction to Digimarc Watermarking

Digimarc Watermarking FAQ


step 2: batch compression

Use the Compress tab to select compression parameters.

Decide which output file type you want and check the box for JPEG, GIF, PNG of TIFF.

Optimization Settings for JPEGs

Set the image quality slider to the desired value. The image quality may be set from 1 (very low quality, high compression) to 100 (very high quality, low compression) but the useful range is typically between 50 and 90. Adjust the quality slider to your desired level of tradeoff between image size and quality.

If the 'Read Quality from Input JPEG' is selected then the quality slider is ignored for any JPEG files read in and the quality is set to the value of the input JPEG. This is most commonly used to MagiCompress a set of existing JPEGs.

Set the MagiCompress slider to the desired value. This option tells Image Optimizer to automatically extra compress areas of low detail. The default is 50%. The bigger the number the greater the MagiCompression.

Optimization Settings for GIFs and PNGs

Set the Number Of Colors slider to the desired value. The Number Of Colors may be set from 2 to 256. The best value will depend on the source images. It is best to experiment with typical images using the main application.

Set the Dithering slider to the desired value. The default is 50%. The bigger the number the greater the dithering (and the larger the images).

Optimization Settings for TIFFs

There are no specific settings for TIFFs. The images will be written out as 24 bit uncompressed TIFFs

Other Settings

Remove input file comment | Select this option if you want Image Optimizer to strip out any text comments from the input file. This can save a considerable amount of space as some programs store unnecessary information as comments.
Read Quality from Input JPEGs | Select this option if you are compressing JPEGs and want JPEG Optimizer to keep the overall compression the same as the input JPEG. i.e. the 'image quality' setting is ignored.

General Settings

Don't Pause on Error | If you select this Image Optimizer will skip images that have errors. If you don't select it image Optimizer will show an error box and halt until you press a button.
Never Overwrite files | Select this if you want to be sure Image Optimizer will not overwrite existing images.

Output Directory

Click 'Browse' to select the directory that the Optimized images will be saved to. The images will have the same filename as the source images.
CAUTION: If you specify the output directory to be the same as the input directory you may overwrite your images with optimized versions. You are advised to have back up copies of all your image files.

Step 3: Optimizing


step 3: optimizing

To start the optimization process press the Optimize button.

The state of the batch job will be displayed in the Current Step window and the Job Progress will be shown below in the bar below it.

You can pause the batch job by pressing the 'Stop' button. Press the 'Continue' button to proceed.

If you want to abort the batch job entirely press the cancel button.

Image Optimizer Workflow


file menu commands

The File menu offers the following commands:

Open | Open an existing image.
Import Image | Acquire an image directly from you scanner or digital camera
Close | Close the active image.
Save As | Save the active optimized image with a new name.
Send by E-Mail | Send the image by E-Mail.
Batch Wizard | Activate Batch Wizard to optimize multiple files.
Preferences | Change settings that affect the programs operation.
1,2,3,4,5 | Open a recent file.
Exit | Quit Image Optimizer.

Edit Menu Commands


open command

Use this command to open an existing image for optimization. Use the Window menu to switch among the different views of the image. See Window 1, 2, ... command.

An image may also be pasted from the clipboard or dragged and dropped onto the application.

Image formats that are supported:

  • CompuServe Graphics Interchange (*.gif)
  • Portable Network Graphics (*.png)
  • JPEG - JFIF Compliant (*.jpg, *.jpeg, *.jif)
  • Windows or OS/2 Bitmap (*.bmp)
  • Tagged Image File Format (*.tif, *.tiff)

If your favourite image format is not supported you can simply copy the image from an image editor and paste it into Image Optimizer.

Optimization times will start to get longer as image sizes increase unless you have a very fast computer.

The maximum image size will depend on the available memory.

See also: File Open Dialog Box

Shortcuts

Toolbar:

Keys:CTRL+O


import image command

Use the Import Image->Acquire Image command to invoke your TWAIN scanner software to scan an image straight into Image Optimizer.

Use the Import Image->Select Source command to select between TWAIN compatible devices.

Shortcuts

Toolbar:


File Close Command

close command

Use this command to close the active window or dialog box.

Double-clicking a Control-menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single image, the Close command on the image Control menu closes only one window at a time. You can close all windows at once with the Close All command on the Window menu.

Shortcuts

Keys: CTRL+F4 closes a image window

ALT+F4 closes the window or dialog box


Send by E-mail

send by e-mail command

Use this command to send the optimized image to your windows default E-Mail program so that the image may be E-mailed as an attachment.

To set the default email program go to Internet Options in Control panel.

Shortcuts

Toolbar:


save as command

Use this command to save the optimized version of the active image to a new file and to make that the active image. Image Optimizer displays the Save As dialog box so you can name your image.

Shortcuts

Toolbar:


batch wizard command

Use this command to activate the Batch Wizard to optimize multiple files. Image Optimizer displays the Batch Wizard dialog at step 1. You will be prompted to:

1. Select multiple files to be optimized.

2. Select the operations to be performed.

3. Wait for completion of the multiple file optimizations.

Shortcuts

Toolbar:

Keys:CTRL+B


preferences command

Use this command to change settings that affect the program's operation.

Compute download speed for. Use this setting to control how Image optimizer estimates the image download time that is displayed in the status bar. You can display a table of times for common speeds with the Image Information window by clicking View -> Image Information or Shift-I.

GIF/PNG Color reduction. Use this command set how accurately Image Optimizer generates and matches colors in the palette. If you have a very fast machine you can set it to higher quality. Note if you have a slow machine you can achieve the same results by pressing the [image] button just before saving.

Remove input file comment by default. If you are reading an image that has an embedded comment then selecting this check box instructs Image Optimizer to not reproduce this comment in the output file. If you change your mind for a particular image you can re-select the comment using the Compress Image Control Palette.

Read Quality from Input JPEG. If you are reading in a JPEG image you can ask Image Optimizer to estimate the quality and preset the image quality slider. Select the "Read Quality from Input JPEG" option for this.
You might use this to:

  • MagiCompress images that are already compressed
  • Convert JPEGs to grayscale
  • Convert JPEGs to progressive
  • Make the slider default to the input compression

JPEG Markers. JPEG images can contain extra information such as thumbnails and camera settings that are not necessary for web pages. These are stored in the APP1 thru APP15 markers, a good example is EXIF data which is stored in APP1 and is used by many digital cameras to store camera settings and a thumbnail. By default Image Optimizer removes this data. If you would like to keep this data in the image check this box. Note that the image size will be increased.

If you load your optimized pictures back into a digital camera you may still find the camera is unable to display them. If this is the case you could try using xatshow instead of Image Optimizer.


exit command

Use this command to end your Image Optimizer session. You can also use the Close command on the application Control menu. Image Optimizer prompts you to save images with unsaved optimizations.

Shortcuts

Mouse:Double-click the application's Control menu button (top left icon).

Keys:ALT+F4


1, 2, 3, 4, 5 Command

file 1, 2, 3, 4, 5 command

Use the numbers and filenames listed at the bottom of the File menu to open the last five images you closed. Choose the number that corresponds with the image you want to open.


edit menu commands

The Edit menu offers the following commands:

Undo | Undo the last action
Redo | Redo the previously undone action.
Undo All | Undo all saved actions.
Redo All | Redo all the previously undone action.
Copy | Copy the optimized image to the clipboard.
Paste | Insert clipboard contents as a new image.

View Menu Commands


undo command

Use this command to reverse the last editing action, if possible.

Note that Undo only undoes changes made with the mouse, it does not undo changes made with the optimization palette sliders, etc.

Use the Undo All command to undo all stored commands at once.

Shortcuts

Toolbar:

Keys:CTRL+Z


redo command

Use this command to redo the last editing action that has been undone, if possible.

Use the Redo All command to redo all stored commands at once.

Shortcuts

Toolbar:

Keys:CTRL+Y


copy command

Use this command to copy the optimized version of the image to the clipboard

Copying data to the clipboard replaces the contents previously stored there.

Shortcuts

Toolbar:

Keys:CTRL+C


paste command

Use this command to insert a copy of the clipboard contents as an image for optimization. This command is unavailable if the clipboard doesn't contain an image.

Shortcuts

Toolbar:

Keys:CTRL+V


view menu commands

The View menu offers the following commands:

Toolbars | Shows or hides the various toolbars.
Status Bar | Shows or hides the status bar.
Normal Viewing | View the image normally i.e. with no zoom.
Zoom In | Zoom In the current view.
Zoom Out | Zoom Out the current view.
Image Information | View details about the current image.

Window Menu Commands


toolbars command

Use this command to show and hide the various toolbars (Standard Buttons, Tool Palette, Control Palette and Brush Style Palette). A check mark appears next to the menu item when the toolbar is displayed. The text labels menu item allows you to turn on or off the text labels on the standard buttons. You may wish to do this to give yourself extra workspace.

See also:

Standard Buttons

Compress Image Control Palette

Brush Style Palette

Tool Palette


status bar command

Use this command to display and hide the Status Bar. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


normal viewing command

Use this command to view the image normally, with no zoom. (1:1)

See also Zoom In.

Shortcuts

Toolbar:

Keys:CTRL+ALT+N


zoom in command

Use this command to Zoom In on the current image. A check mark appears next to the menu item to show the current Zoom (2:1 to 16:1).

Zoom In is useful for examining compression effects in detail and will also give you an idea of what an image will look like on a lower resolution display if you are using a high resolution.

See also Zoom out.

Shortcuts

Toolbar: followed by Left mouse click


zoom out command

Use this command to Zoom Out on the current image. A check mark appears next to the menu item to show the current Zoom (1:2 to 1:16).

Zoom Out is useful for examining very large images that are bigger that the screen in their entirety.

See also Normal viewing (Zoom1:1)

Shortcuts

Toolbar: followed by Right Mouse click


image information

Use this command to view details about the current image.

See Image Information Dialog for help on using the Image Information dialog.

Shortcuts

Keys:SHIFT+I


window menu commands

The Window menu offers the following commands, which enable you to arrange multiple views of multiple images in the application window:

Cascade | Arranges windows so they overlap.
Tile Horizontally | Arranges windows horizontally as non-overlapped tiles.
Tile Vertically | Arranges windows vertically as non-overlapped tiles.
Arrange Icons | Arranges icons at the bottom of the window.
Close All | Close all windows.
Fit To Image | Fit window to image.
Window 1, 2, ... | Goes to specified window.


cascade command

Use this command to arrange multiple opened windows in an overlapped fashion.


tile horizontal command

Use this command to vertically arrange multiple opened windows in a non-overlapped fashion.


tile vertical command

Use this command to arrange multiple opened windows side by side.


arrange icons command

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open image window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this image window.


close all command

Use this command to close all active images. Image Optimizer suggests that you save optimized versions of each image before you close it. If you close an image without saving, you lose the optimizations you have made.


fit to image command

Use this command to adjust the size of the current window to fit the current image.

Shortcuts

Keys:CTRL+W


1, 2, ... command

window 1, 2, ... command

Image Optimizer displays a list of currently open image windows at the bottom of the Window menu. A check mark appears in front of the image name of the active window. Choose a image from this list to make its window active.


help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | List help topics
Tip of the Day | Display a Tip of the Day
Benefits of Full Licensed Version | Use this command to display the differences between the full version and the time out trial version of Image Optimizer
Purchase Image Optimizer Online | Click here to point your browser at the online Image Optimizer purchase page on the World Wide Web
Enter release code | Enter the release/registration code. This will be emailed to you after purchasing Image Optimizer.
xat.com Online | Links to information available on the World Wide Web.
About Image Optimizer | Displays Image Optimizer information, version number and copyright.


help topics command

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using Image Optimizer and various types of reference information.

Shortcuts

Toolbar:

Keys:F1


tip of the day command

Use this command to display a Tip of the Day. The Tip of the Day dialog contains a check box so that Tip of the Days can be displayed at start up.


xat.com on-line

Use this command to view xat.com information available on the World Wide Web.


xat.com home page

Use this command to visit xat.com's home page.


purchase image optimizer

Use this command to purchase Image Optimizer online. This will take you to the ordering web page. When payment has been confirmed you will be e-mailed a release code.

See also

Ordering information.


support pages

Use this command to view Image Optimizer's support pages for tutorials and frequently asked questions. They are at http://xat.com/io/support.html


e-mail technical support

Use this command to send a technical support e-mail: iosupport@xat.com


about image optimizer

Use this command to display the copyright notice and version number of your copy of Image Optimizer.

Shortcuts

Toolbar:


title bar

The title bar is located along the top of a window. It contains the name of the application and image.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

The title bar contains the following elements:

  • Application Control-menu button
  • Image Control-menu button
  • Maximize button
  • Minimize button
  • Name of the application
  • Name of the image
  • Restore button


scroll bars

Displayed at the right and bottom edges of the image window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the image. You can use the mouse to scroll to other parts of the image.


size command

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a DIRECTION key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse: Drag the size bars at the corners or edges of the window.


move command

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keys:CTRL+F7


minimize command

Use this command to reduce the Image Optimizer window to an icon.

Shortcut

Mouse: Click the minimize icon on the title bar.

Keys:ALT+F9


maximize command

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse: Click the maximize icon on the title bar; or double-click the title bar.

Keys:CTRL+F10 enlarges an image window.


next window command

Use this command to switch to the next open image window. Image Optimizer determines which window is next according to the order in which you opened the windows.

Shortcut

Keys:CTRL+F6


previous window command

Use this command to switch to the previous open image window. Image Optimizer determines which window is previous according to the order in which you opened the windows.

Shortcut

Keys:SHIFT+CTRL+F6


Window Control Close Command

close command

Use this command to close the windows containing the active image. Image Optimizer suggests that you save the optimized version before you close it. If you close an image without saving, you lose all of the optimizations you have made.

You can also close an image by using the Close icon on the image's window.

See also

Window->Close All command


restore command

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


standard buttons

The Standard Buttons are displayed across the top of the application window, below the menu bar. They provide quick mouse access to many tools used in Image Optimizer,

To show or hide the Standard Buttons, click View->Toolbars->Standard Buttons.

Click To:

Open | Open an existing image. Image Optimizer displays the Open dialog box , in which you can locate and open the file you wish to optimize.
Scan | Scan in an image directly from a TWAIN compatible scanner or other device e.g. a digital camera.
Save As | Save the optimized image
E-Mail | Send optimized image by E-mail
Batch | Activate Batch Wizard to optimize multiple files.
Undo | Undo the last action. Note: You cannot undo some actions.
Redo | Redo the previously undone action. Note: You cannot always redo.
Copy | Copy the optimized image to the clipboard.
Paste | Insert clipboard contents as a new image.
Zoom 1:1 | View the image normally, with no zoom.
Tools | Show or hide the Tools Palette
Control | Show or hide the current Control Palette
Brush | Show or hide the Brush Settings Palette
Help | Look at help file.
xat.com | Visit xat.com on the World Wide Web
About | Displays Image Optimizer information, version number and copyright.


enhance image control palette

The Enhance Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to adjust the levels and set brightness, contrast and gamma of the active image.

This dialog is visible when you are in Enhance Image mode (i.e. the Enhance Image button [image] is down).

To show or hide the Enhance Image Control Palette, click View->Toolbars->Control Palette or press the [image] button.

Levels

The levels tool is used to change the dynamic range of colors in an image or to stretch the image histogram.

The AutoLevels button [image] makes Image Optimizer automatically calculate and set levels that will stretch the histogram to use the full dynamic range.
Press the delete button [image] to remove changes made.

Drag the Shadow, Midtone and Highlight diamonds with the mouse to manually set the levels or use the edit boxes at the bottom left of the palette.

To work on the red, green or blue channels individually first click one of the colored buttons. To work on all channels click on the black button.

Use the equalization slider to spread the colors or even out the distribution of the histogram.

Working with levels

Brightness/Contrast/Gamma

The Brightness/Contrast/Gamma tool is used to change the brightness, contrast and gamma in an image.

Use the mouse to position the brightness, contrast and gamma sliders to the desired values or use the associated edit boxes.

Press the delete button [image] to remove changes made.

To work on the red, green or blue channels individually first click one of the colored buttons. To work on all channels click on the black button.

Working with brightness, contrast and gamma


Color Correction Control Palette

The Color Correction Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to remove color casts or shifts from the active image.

This dialog is visible when you are in Color Correction mode (i.e. the Color Correction button [image] is down).

To show or hide the Color Correction Control Palette, click View->Toolbars->Control Palette or press the [image] button.

The AutoColor button [image] makes Image Optimizer automatically calculate and set color shift that will result in the image having an equal balance or red, green and blue.

The color shift can be set manually by dragging or clicking on the color wheel or using the edit boxes.

The three color edit boxes correspond to:
C->R Cyan to Red
M->G Magenta to Green
Y->B Yellow to Blue

The Saturation slider on the left adjusts the color saturation or the sat. edit box can be used instead.

Press the delete button [image] to remove changes made.

Color Correction


clean image control palette

The Clean Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to remove spots or dead pixels and noise from the active image.

This dialog is visible when you are in Clean image mode (i.e. the Clean image button [image] is down).

To show or hide the Clean Image Control Palette, click View->Toolbars->Control Palette or press the [image] button.

Noise reduction automatically applies spot removal.

Use the three sliders (and edit boxes) to set the amount of noise reduction:

% Amount sets the overall amount of noise reduction applied.

Radius sets the number of pixels over which the noise algorithm processes.

% Sensitivity sets the amount of detail that the algorithm preserves.

Press the delete button [image] to set noise reduction to zero.

Cleaning an image


focus image control palette

The Focus Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to sharpen and blur the active image.

This dialog is visible when you are in Focus image mode (i.e. the Focus image button [image] is down).

To show or hide the Focus Image Control Palette, click View->Toolbars->Control Palette or press the [image] button.

Set the sliders to give the desired effect:

%Amount | The percentage amount to sharpen by
Radius | The number of pixels that the image "mask" is blurred by
Threshold | Sets the threshold at which to skip sharpening for each pixel is the sharpening amount is less that the threshold value.

Blur

Set the sliders to give the desired effect:

%Amount | The percentage amount to blur by
Radius | The number of pixels that the image is blurred by

Press the delete button [image] to set sharpen or blur to zero.

Focus image


crop image control palette

The Crop Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to crop the active image.

This dialog is visible when you are in Crop Image mode (i.e. the Crop Image button [image] is down).

To show or hide the Crop Image Control Palette, click View->Toolbars->Control Palette or press the [image] button.

The 'Crop Image' button performs the crop

The 'Clear Crop' button clears the crop rectangle

The X and Y boxes set the width and height offset of the top left corner of the crop rectangle.

The Width and Height boxes show the current width and height of the crop rectangle.

The Aspect box shows the aspect ratio of the crop rectangle.

The Maintain Aspect Ratio check box is used to force the aspect ratio to be fixed. e.g. for a 4:3 image type in 1.3333

See Cropping an Image for more information on cropping an image.


transform image control palette

The Transform Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to resize, rotate and sharpen the active image.

This dialog is visible when you are in Transform Image mode (i.e. the Transform Image button [image] is down).

To show or hide the Transform Image Control Palette, click View->Toolbars->Control Palette or press the [image] button.

Resize and Sharpen

The Width and Height sliders may be used to vary the image size. Full left halves the image, full right doubles the image.

The Images width and height (in pixels) can be typed into the boxes.

The Sharpen slider is used to vary the image sharpness. Full left is no sharpness (no change), full right is maximum sharpness.

The 'Maintain Aspect Ratio' check box constrains the width and height so that the aspect ratio of the image is preserved.

Click one of the 6 preset resize buttons to double or halve the size of an image.

Rotate

Click one of the four rotation buttons to rotate the Image by 0, 90, 180 and 270 degrees.

See Transforming an Image for more information on transforming an image.


caption image control palette

The Caption Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to add text and/or a image to the active image.

This dialog is visible when you are in Caption Image mode (i.e. the Caption Image button [image] is down).

To show or hide the Transform Image Control Palette, click View->Toolbars->Control Palette or press the [image] button.

See Adding text or an image (visible watermark)


digimarc watermarking control palette

The Digimarc Watermarking Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to set the Digimarc Watermarking settings of the active image.

This palette is visible when you are in Digimarc Watermarking mode (i.e. the Watermark button watermark.gif (443 bytes) is down).

To show or hide the Digimarc Watermarking Control Palette, click View->Toolbars->Control Palette or press the control.gif (230 bytes) button.

watermarkpalette.gif (3169 bytes)

Use the Creator drop down list box to select a creator. Use the adjacent dotdot.gif (110 bytes) button to enter the details of a new creator (see below).

Use the Intensity slider to set the strength at which Image Optimizer will embed watermarks. Use the adjacent dotdot.gif (110 bytes) button to enter the DPI for the image if you need something other than the default of 100 dpi.

Use the Type drop down list to specify the type of watermark you want to embed:

Use the image attribute selections to specify the types of protections or warnings you want to communicate to viewers of your Digimarc-enhanced images.

Watermark Setup Identifiers

Use this window to enter a new Digimarc Creator ID.

watermark_setup.gif (4143 bytes)

Use the id.gif (191 bytes) button to create a new entry for a Creator ID. Type over the text "<New Creator>" to give the Identifier the name of your choice. Type in the Digimarc Creator ID and PIN in the Digimarc ID boxes. (Note that the Distributor ID has now been discontinued by Digimarc).

The usage statistics keeps track of the number of images you have watermarked and saved with this ID which can be used for payment of watermarking royalties to Digimarc Corporation. You can zero this number by typing in zero.

See also

Watermarking an image

Batch watermarking an image p.gif (150 bytes)

Introduction to Digimarc Watermarking

Digimarc Watermarking FAQ


compress image control palette

The Compress Image Control Palette is a floating dialog that can be positioned anywhere on the screen. It provides the controls to set the compression of the active image.

This dialog is visible when you are in Compress Image mode (ie the Compress Image button [image] is down).

To show or hide the Compress Image dialog, click View->Toolbars->Control Palette or press the [image] button.

Select JPG, GIF, PNG or TIFF to change the Optimized Image file type.

JPG Selected

When JPG is selected the sliders are: JPEG Quality and Extra Compression/MagiCompression. To change between MagiCompression and Extra Compression click the auto button [image] to the left of the slider.

To change each slider press the left mouse button down on the control and move it. To change a slider by 10% click on the slider bar to the left or right of the handle. These values can also be changed by typing a new value into the edit box to the left of each slider and pressing return or using the up and down controls.

To apply 50% MagiCompression to the whole image press the [image] button. Press the delete button [image] to remove MagiCompression.

Press the Region button [image] to display the region window and start working with regional compression and optimization.
Press the Whole Image button [image] to switch back to working with the whole Image.

Click here for details of JPEG extra options.

GIF or PNG Selected

When GIF or PNG is selected the sliders are: Number of Colors and % Dithering.

To change each slider press the left mouse button down on the control and move it. To change a slider by 10% click on the slider bar to the left or right of the handle. These values can also be changed by typing a new value into the edit box to the right of each slider and pressing return or using the up and down controls.

Use the HiQ button to improve the palette selection.
You should use the other controls to determine the settings you want (accepting that some of the colors will be altered slightly). When you are happy with the image press the HiQ button to get the final optimized version. Computing the HiQ image will take a few seconds.

The HiQ function will get the best possible matching of the palette to the colors of your image. If you use any of the controls again after pressing the HiQ button you should press the HiQ button again before saving.

Press the Region button [image] to display the region window and start working with regional compression and optimization.
Press the Whole Image button [image] to switch back to working with the whole Image.

Click here for details of GIF/PNG extra options.

TIFF selected

In some circumstances you may wish to save the image uncompressed. For example you may wish to save an enhanced image for later use but without the loss of quality that the other file types would result in. Another example would be if you wanted to put more than one Caption on an image. In this case you could add the first caption and out put to a .TIFF. You could then run the image through Image Optimizer again and add a 2nd caption but this time output to .JPG. This would avoid JPEG compressing the image twice which is best avoided as it decreases the quality slightly.


brush style

The Brush Style Palette is a floating dialog that can be positioned anywhere on the screen. It provides the ability to change the settings for the current brush i.e. its size and shape.

To show or hide the Brush Style Palette, click View->Toolbars->Brush Style Palette or press the Brush Style button [image].

There are two brush types round and square, use the drop down list to change between them.

To adjust the size of the Brush either move the Slider, type in a new value into the edit box or use the up down controls.

The current brush size and shape will be shown in the window at the top left of the Brush Style Palette.


tool palette

The Tool Palette is a floating dialog that can be positioned anywhere on the screen or docked to the sides of the main window.

The tool palette is used to select between mode of operation i.e. Zoom, Crop, Transform and Compress.

After the mode is selected then further tools may be available e.g. shape and region tools.

To show or hide the Tool Palette, click View->Toolbars->Tool Palette or press the Tool Palette button [image].

Zoom | When the Zoom Tool is selected move the mouse over the window you wish to Zoom In or Out off. Press the Left mouse button to Zoom In or the Right Mouse button to Zoom Out. The window will resize and the image will center at the point that the mouse was clicked.
Crop | Switch to crop mode.
Transform | Switch to transform mode.Use this mode for re-sizing, rotating and flipping the image.
Brush | The Brush tool allows you to paint optimization on the window. You can alter the setting for the Brush using the Brush Style Palette
Line | The Line tool draws a line in the currently selected Brush Size and Style
Rectangle | The rectangle tool lets you select a rectangle
Freehand | The freehand tool lets you select an any shaped region
Lock Region | If you press the "Lock Region" button on the tool bar the last region selected will be outlined. You can then use the sliders to vary the intensity of the action just on that selected region. E.g. you could select a house in the image and then adjust the MagiCompression and Smoothing for it. When you wish to cancel the mode click the button again to deselect it.
Select Whole Image | The "Select Whole Image" button selects the whole image as the region and locks it.
Invert Region | The "Invert Region" button inverts the currently selected region.


status bar

The status bar is displayed at the bottom of the Image Optimizer window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you navigate through the menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right area of the status bar contains summary information for the Original and Optimized image.

For more details press SHIFT+I or View->Image Information from the menu.


file open dialog box

The following options allow you to specify which file to open:

File Name | Type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.
Files of Type Select the type of file you want to open:
  • CompuServe Graphics Interchange (*.gif)
  • Portable Network Graphics (*.png)
  • JPEG - JFIF Compliant (*.jpg, *.jpeg, *.jif)
  • Windows or OS/2 Bitmap (*.bmp)
  • Tagged Image File Format (*.tif, *.tiff)
  • All Graphics Files
  • All Files (*.*)
Drives | Select the drive in which Image Optimizer stores the file that you want to open.
Directories | Select the directory in which Image Optimizer stores the file that you want to open.
Network... | Choose this button to connect to a network location, assigning it a new drive letter.


file save as dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name | Type a new filename to save a image with a different name. Image Optimizer adds the extension you specify in the Type box.
Drives | Select the drive in which you want to store the image.
Directories | Select the directory in which you want to store the image.
Network... | Choose this button to connect to a network location, assigning it a new drive letter.


image information dialog

The image information dialog shows information about the original file and the optimized version.

The original image filename is displayed across the top of window

For each image the following information is displayed

  • File Type
  • Dimensions
  • Number of Colors
  • File Size
  • Transparency
  • Interlaced/Progressive
  • Comments
  • Download Times

The download time is shown at a number of different bit rates.

Shortcuts

Keys: CONTROL + I


benefits of registered version

Image Optimizer - Professional Edition is available for download as a save disabled demo.

Image Optimizer Professional adds the following enhancements over the standard edition:

  • Enhance
  • Color correction
  • Clean (de-noise)
  • Focus (sharpen/blur)
  • Batch watermark
  • Batch Transform (resize and thumbnail a batch of images)

With Image Optimizer - Standard Edition these benefits are enabled for 30 days for evaluation purposes. After the evaluation period the following functions are disabled:

  • Batch Wizard i.e. compressing multiple files automatically in one go.
  • MagiCompression, the unique technology that automatically selects regions of a JPEG that can be compressed more.
  • The ability to use your own Digimarc Creator ID in watermarked images.
  • The ability to save GIFs is re-enabled.
  • The Trial Version writes a small invisible advertisement into the output file, when registered this is no longer written.

A further benefit of registration is that future version upgrades are FREE, even when the price has increased.


ordering information

To purchase Image Optimizer online, either click Help->Purchase Image Optimizer Online... or click http://www.xat.com/internet_technology/purchase.html. This will take you to the ordering web page. You have the choice of ordering the standard or Professional edition. When payment has been confirmed you will be e-mailed a release code.

Note that you can pay by by credit card with browser, FAX, e-mail or regular mail.
You an pay by check in US$, UK pounds or any major currency.

When you have your release code click Help->Enter Release Code and type in your code.

For extra ordering Information, other methods of payment, site license information etc. please email ioinfo@xat.com

See also:

License Information

Benefits of Registered Version


license information

Image Optimizer Copyright © 1997-2000 by xat.com Ltd. All rights reserved.

License Agreement

Your use of this software indicates your acceptance of this license agreement and warranty.

Licensed Version

One licensed for Image Optimizer should be purchased per concurrent user.

Governing Law

The laws of England shall govern this agreement.

Disclaimer of Warranty

The authors make no warranty or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided "as is", and you, its user, assume the entire risk as to its quality and accuracy.

This software is sold without warranties as to performance of merchantability or any other warranties whether expressed or implied. No warranty of fitness for a particular purpose is offered.

Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.

Evaluation License

You are licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30-day evaluation period a registration fee is required. You agree not to decompile, disassemble, dump out or reverse engineer the software.

Distribution

The Evaluation Version may be placed unmodified on CDs/ floppy disks accompanying magazines and books. The Evaluation Version may not be uploaded to WWW servers etc. without permission.


downloading the latest version

xat.com has a roadmap of powerful new features to add to Image Optimizer. Make sure you are not missing out by going to the web site to download the latest version.

If you are a licensed user the upgrade will be free of charge. To become a licensed user click here.

If you'd like to be kept informed of developments sign up to the xat.com mailing list and we'll let you know when Image Optimizer and other products are enhanced.

Purchase/Upgrade

Other xat.com products


other xat.com products
xatshow
Info Purchase Download freeware edition

PC & Digital Camera Slide Show and Screen Saver Maker:
Convert your photos to PC or TV slideshows and screensavers. xatshow makes the worlds smallest single .EXE files that work as both slideshow and screensaver and you can use it to display Powerpoint presentations on a TV using your digital camera.

WebSpeed Optimizer
Info Purchase Download free trial

WebSpeed Simulator helps you design more efficient web pages by previewing your web page at the speed of real world dial-up connections. Errors that might not be visible during design, are readily identified. Saves you design time because you can preview off-line and simulate any connection speed more efficiently. A must for any web designers tool box.

WebSpeed Optimizer
Info Purchase Download free trial

Add Image Optimizer technology to your database or application with this easy to use OCX ActiveX control. Resizing, enhancement and compression for JPEG and PNGs.

JPEG Disk Optimizer
Info Purchase Download free trial

JPEG Disk Optimizer optimizes multiple JPEGs in a directory and in sub directories. JPEG Disk Optimizer is a command prompt program and so can be easily driven from other programs or scripting languages. Unix versions are available.

JPEG Optimizer
Info Purchase Download free trial

Smaller faster JPEGs. Speed up your web site and save disk space. Unique MagiCompress Jpeg Compression technology makes images up to 50% smaller automatically.
Note: for most applications JPEG Optimizer is replaced by Image Optimizer.


contact information

Please visit the web site at http://www.xat.com/ You can do this by selecting

Help->xat.com Online->xat.com Home Page from the menu or by typing the address into your web browser.

Please check our support pages http://xat.com/io/support.html for tutorials and frequently asked questions. You can do this by either pressing Help->xat.com Online->Support Pages or by typing the address into your web browser.

For technical support please send e-mail to iosupport@xat.com You can do this by either selecting Help->xat.com Online->E-Mail Technical Support or by typing the address into your e-mail program.

For other information, comments and requests please send email to ioinfo@xat.com


image optimizer technology

xat.com is committed to keeping Image Optimizer at the leading edge of Web site acceleration. Image Optimizer already contains the following advanced features and more are planned for future versions:

Regional/Extra Compression - advanced JPEG compression that adds the ability to compress some (less important) regions of the image more than others.

MagiCompression TM - Image processing algorithms to automatically select the areas of an Image that can have regional/extra compression applied. MagiCompression speeds up the task of optimizing images and can be used in fully automated batch modes.

Anti-Speckling - Many GIF compression algorithms add dithering to regions of solid color. Image Optimizer has proprietary algorithms to minimize or eliminate this effect.

Standard GIF compression | Image Optimizer

Eliminating the speckling also gives a significantly smaller file size.

Noise reduction - Image Optimizer Professional has a state of the art tool for the removal of single pixel spots and noise from an image.

Patents

Image Optimizer is protected by the following patents: 5,636,292 5,710,834 5,721,788 5,745,604 5,748,763 5,768,426 5,809,160 5,832,119 5,841,886 5,841,978 5,850,481 5,930,377


what is magicompression?

MagiCompression

MagiCompression is a technology for automatically compressing JPEGs by more than the standard amount.

MagiCompression takes advantage of the fact that not all parts of an image are as important as others and can be compressed more than other parts without much noticeable difference. The benefits vary from image to image but typically the extra compression achieved is 1.5 - 2x. The MagiCompression algorithm scans your images looking for regions of high detail and preserves them while compressing areas of less detail much more.

If you are in a hurry or have a lot of images to compress you may want to rely on the MagiCompress algorithm with no human intervention.

If you have time or the size of your image is very important, eg it might be on your home page or be a banner advert, you can help the algorithm by fine tuning regions where you think your human eye can do a better job.

Image Optimizer provides you with all the tools you need for both cases.

MagiCompress 2 is an improved algorithm that works well with imperfect images e.g. images with noise or blurred images. With MagiCompress 2 you may find you can push the MagiCompression slider to as far as 80 or 90% without noticeable harm to the image. MagiCompress 2 is more sensitive to color changes and is better for thumbnails.

Extra Compression

Extra Compression is used to compress a JPEG image with more than standard JPEG compression and in such a way that the extra compression may be removed in parts of the image. It is similar to MagiCompression but it does not vary with the image content i.e. it is a constant level across the image. Normally MagiCompression works better than Extra Compression but sometimes you may want to compress some regions regardless of what is in the image in that region. In these cases you can use Extra compression. (see Compress Image Control palette)

Dithering

Dithering is used to simulate colors not available in the palette of a GIF or PNG image. This is done by creating a fine pattern of pixels of available colors from the palette.

You should use dithering if the image you are compressing contains photographic regions or regions with many colors or smooth gradients to improve the look of these regions.

Dithering will almost always make your images larger so you should us it sparingly

You can use regional dithering to add dithering only in the regions that need it.

See Image Optimizer technology for more information about dithering.

Smoothing

Smoothing is used to smooth out noise and roughness in an image.

If you are reading in a GIF you may find it useful to smooth regions of an image that have been dithered by another program (but note it is always better to start with the original true color image if you have it). Smoothing will remove the dithering noise.

Smoothing removes detail in an image so you can use it on JPEG images to remove detail and make the JPEG smaller. It works a bit like extra compression. Normally MagiCompression or Extra Compression will give you better results.

See also

Image Optimizer technology


256 color display

Image Optimizer does not work with a 256 Color Display. To use Image Optimzer set your display settings to HiColor (16 bit) or TrueColor (24/32 bit).

Click to change your display settings.


acknowledgments

Digimarc is a registered trademark of Digimarc Corporation

This software is based in part on the work of the Independent JPEG Group.

Portions Copyright (C) 1991-1996, Thomas G. Lane.

This software includes the libpng PNG Reference Library.

Portions Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.

Portions Copyright (c) 1996, 1997 Andreas Dilger

Portions Copyright (c) 1998 Glenn Randers-Pehrson

This software includes Sam Leffler's TIFF Software:

Portions Copyright (c) 1988-1996 Sam Leffler

Portions Copyright (c) 1991-1996 Silicon Graphics, Inc.

THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

This software is based in part on the CImage library.

Portions Copyright (c) Alejandro Aguilar-Sierra

Portions Copyright (c) Steven A. Bennett

Portions Copyright (c) Julian Smart

Permission to use, copy, modify, and distribute this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice, author statement and this permission notice appear in all copies of this software and related documentation.

THE SOFTWARE IS PROVIDED "AS-IS'' AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL JULIAN SMART BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

This software is based in part on the Image Magick library.
Portions Copyright (c) E. I. du Pont de Nemours and Company

The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall E. I. du Pont de Nemours and Company be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with ImageMagick or the use or other dealings in ImageMagick.


uninstalling image optimizer

Image Optimizer may be uninstalled from Add/Remove programs in Control Panel (Click ) or by clicking on uninstall in Image Optimizer's Start Menu program group.


e-mail command

Use this command to E-mail the optimized version of the image.

Image Optimizer saves the optimize image to disk and switches to your E-Mail program with the optimized image pre-setup as an attachment.

Shortcuts

Toolbar:


gif/png options

Interlaced | Check this if you want to output an interlaced GIF or PNG. An interlaced image enables a browser on a slow communications link to generate a low-quality image quickly and gradually improve the displayed quality as more data is received.
Comments | Check this if you want the output image to have the same comment in it as the input image. Removing comments will save a few extra bytes. This only works on the registered version as the evaluation version add an invisible advert to the image. You can tell Image Optimizer to default to 'Remove input file comment by default' on the Preferences dialog box. (This option is not yet available for PNG)


jpeg options

Extra Color | Check this if you want the JPEG file to contain extra color information. This may give better results for images with areas of solid color or sharp transitions. Note that this option will increase file size a little, however, it may allow you to use more compression and achieve a lower overall file size.
Progressive | Check this if you want to output a progressive JPEG. A progressive JPEG enables a browser on a slow communications link to generate a low-quality image quickly and gradually improve the displayed quality as more data is received.
Grayscale | Check this if you want the output image to be a grayscale (black & white) JPEG file. The file size will be smaller but no as much as you might expect.
Comments | Check this if you want the output image to have the same comment in it as the input image. Removing comments will save a few extra bytes. This only works on the registered version as the evaluation version add an invisible advert to the image. You can tell Image Optimizer to default to 'Remove input file comment by default' on the Preferences dialog box.